Verwenden Sie CometAPI POST /mj/submit/action, um Midjourney-Aktionen wie Upscale, Variation, Reroll, Zoom und mehr auf Bilder anzuwenden, die per Imaging generiert wurden.
curl --request POST \
--url https://api.cometapi.com/mj/submit/action \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customId": "MJ::JOB::variation::3::example",
"taskId": "1773314942177684"
}
'{
"code": 123,
"description": "<string>",
"result": "<string>",
"properties": {
"numberOfQueues": 123,
"discordInstanceId": "<string>",
"discordChannelId": "<string>"
}
}taskId aus der ursprünglichen oder zuletzt ausgeführten Midjourney-TaskcustomId aus dem neuesten buttons-Array, das von Einzelne Task abrufen zurückgegeben wirdcustomId ist nicht stabil. Hinterlegen Sie ihn niemals fest im Code. Lesen Sie ihn immer aus der neuesten Polling-Antwort.U1 bis U4: ein Bild aus dem Grid hochskalierenV1 bis V4: Variationen aus einer Bildposition erzeugenDie Folge-Task erstellen
taskId und customId, und speichern Sie dann die neu zurückgegebene task id.Die neue Task abfragen
Aktionen behandeln, die nur per Modal funktionieren
MODAL erreicht, fahren Sie mit Modal fort, um die zusätzlichen Eingaben bereitzustellen.Bearer token authentication. Use your CometAPI key.
Action id taken from the latest buttons array returned by the fetch endpoint.
Midjourney task id you want to continue from.
Custom state string. Returned as-is in the task result and webhook callback for your own tracking.
Whether to force remix mode when the current action supports it.
Whether to prefer the same channel account used by the current task.
curl --request POST \
--url https://api.cometapi.com/mj/submit/action \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customId": "MJ::JOB::variation::3::example",
"taskId": "1773314942177684"
}
'{
"code": 123,
"description": "<string>",
"result": "<string>",
"properties": {
"numberOfQueues": 123,
"discordInstanceId": "<string>",
"discordChannelId": "<string>"
}
}